Package org.eclipse.birt.chart.model.attribute.impl

# Class LineAttributesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.LineAttributesImpl

All Implemented Interfaces:
  `LineAttributes`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class LineAttributesImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements LineAttributes
An implementation of the model object ' Line Attributes'.

The following features are implemented:

- `Style`
- `Thickness`
- `Color`
- `Visible`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetColor(ColorDefinition newColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`LineAttributes`
`copyInstance()`
A convenient method to get an instance copy.
`static final LineAttributes`
`create(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static final LineAttributes`
`createDefault(boolean visible)`
`static final LineAttributes`
`createDefault(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates implicit initialization of member variables in creation of an instance.
`static final LineAttributes`
`createDefault(ColorDefinition cd, LineStyle ls, int iThickness, boolean visible)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`ColorDefinition`
`getColor()`
`LineStyle`
`getStyle()`
`int`
`getThickness()`
`boolean`
`isSetStyle()`
`boolean`
`isSetThickness()`
`boolean`
`isSetVisible()`
`boolean`
`isVisible()`
`void`
`set(ColorDefinition cd, LineStyle ls, int iThickness)`
A convenient method that facilitates initialization of member variables.
`void`
`setColor(ColorDefinition newColor)`
`void`
`setStyle(LineStyle newStyle)`
`void`
`setThickness(int newThickness)`
`void`
`setVisible(boolean newVisible)`
`String`
`toString()`
`void`
`unsetStyle()`
`void`
`unsetThickness()`
`void`
`unsetVisible()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getStyle

public LineStyle getStyle()

Specified by:
  `getStyle` in interface `LineAttributes`
Returns:
  the value of the 'Style' attribute.
See Also:
  - `LineStyle`
  - `LineAttributes.isSetStyle()`
  - `LineAttributes.unsetStyle()`
  - `LineAttributes.setStyle(LineStyle)`
  - `AttributePackage.getLineAttributes_Style()`

### setStyle

public void setStyle(LineStyle newStyle)

Specified by:
  `setStyle` in interface `LineAttributes`
Parameters:
  `newStyle` - the new value of the 'Style' attribute.
See Also:
  - `LineStyle`
  - `LineAttributes.isSetStyle()`
  - `LineAttributes.unsetStyle()`
  - `LineAttributes.getStyle()`

### unsetStyle

public void unsetStyle()

Specified by:
  `unsetStyle` in interface `LineAttributes`
See Also:
  - `LineAttributes.isSetStyle()`
  - `LineAttributes.getStyle()`
  - `LineAttributes.setStyle(LineStyle)`

### isSetStyle

public boolean isSetStyle()

Specified by:
  `isSetStyle` in interface `LineAttributes`
Returns:
  whether the value of the 'Style' attribute is set.
See Also:
  - `LineAttributes.unsetStyle()`
  - `LineAttributes.getStyle()`
  - `LineAttributes.setStyle(LineStyle)`

### getThickness

public int getThickness()

Specified by:
  `getThickness` in interface `LineAttributes`
Returns:
  the value of the 'Thickness' attribute.
See Also:
  - `LineAttributes.isSetThickness()`
  - `LineAttributes.unsetThickness()`
  - `LineAttributes.setThickness(int)`
  - `AttributePackage.getLineAttributes_Thickness()`

### setThickness

public void setThickness(int newThickness)

Specified by:
  `setThickness` in interface `LineAttributes`
Parameters:
  `newThickness` - the new value of the 'Thickness' attribute.
See Also:
  - `LineAttributes.isSetThickness()`
  - `LineAttributes.unsetThickness()`
  - `LineAttributes.getThickness()`

### unsetThickness

public void unsetThickness()

Specified by:
  `unsetThickness` in interface `LineAttributes`
See Also:
  - `LineAttributes.isSetThickness()`
  - `LineAttributes.getThickness()`
  - `LineAttributes.setThickness(int)`

### isSetThickness

public boolean isSetThickness()

Specified by:
  `isSetThickness` in interface `LineAttributes`
Returns:
  whether the value of the 'Thickness' attribute is set.
See Also:
  - `LineAttributes.unsetThickness()`
  - `LineAttributes.getThickness()`
  - `LineAttributes.setThickness(int)`

### getColor

public ColorDefinition getColor()

Specified by:
  `getColor` in interface `LineAttributes`
Returns:
  the value of the 'Color' containment reference.
See Also:
  - `LineAttributes.setColor(ColorDefinition)`
  - `AttributePackage.getLineAttributes_Color()`

### basicSetColor

public org.eclipse.emf.common.notify.NotificationChain basicSetColor(ColorDefinition newColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setColor

public void setColor(ColorDefinition newColor)

Specified by:
  `setColor` in interface `LineAttributes`
Parameters:
  `newColor` - the new value of the 'Color' containment reference.
See Also:
  - `LineAttributes.getColor()`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `LineAttributes`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `LineAttributes.isSetVisible()`
  - `LineAttributes.unsetVisible()`
  - `LineAttributes.setVisible(boolean)`
  - `AttributePackage.getLineAttributes_Visible()`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `LineAttributes`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `LineAttributes.isSetVisible()`
  - `LineAttributes.unsetVisible()`
  - `LineAttributes.isVisible()`

### unsetVisible

public void unsetVisible()

Specified by:
  `unsetVisible` in interface `LineAttributes`
See Also:
  - `LineAttributes.isSetVisible()`
  - `LineAttributes.isVisible()`
  - `LineAttributes.setVisible(boolean)`

### isSetVisible

public boolean isSetVisible()

Specified by:
  `isSetVisible` in interface `LineAttributes`
Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `LineAttributes.unsetVisible()`
  - `LineAttributes.isVisible()`
  - `LineAttributes.setVisible(boolean)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### set

public void set(ColorDefinition cd, LineStyle ls, int iThickness)
A convenient method that facilitates initialization of member variables. Note: Manually written

Parameters:
  `cd` -
  `ls` -
  `iThickness` -

### create

public static final LineAttributes create(ColorDefinition cd, LineStyle ls, int iThickness)
A convenient method that facilitates implicit initialization of member variables in creation of an instance. Note: Manually written

Parameters:
  `cd` -
  `ls` -
  `iThickness` -
Returns:

### createDefault

public static final LineAttributes createDefault(ColorDefinition cd, LineStyle ls, int iThickness)
A convenient method that facilitates implicit initialization of member variables in creation of an instance. Note: Manually written

Parameters:
  `cd` -
  `ls` -
  `iThickness` -
Returns:

### createDefault

public static final LineAttributes createDefault(boolean visible)

### createDefault

public static final LineAttributes createDefault(ColorDefinition cd, LineStyle ls, int iThickness, boolean visible)

### copyInstance

public LineAttributes copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineAttributes`